%global destdir /usr/share/mattermost-desktop

Name:           mattermost-desktop-src
Version:        3.6.0
Release:        1%{?dist}
Summary:        Mattermost Desktop application
Group:          Applications/Internet
License:        Apache v2
Url:		https://github.com/mattermost/desktop
Source0:  https://github.com/mattermost/desktop/archive/v%{version}.tar.gz
Patch0:  package_only_x86_64.patch
BuildArch:	x86_64
AutoReq:	no

BuildRequires: nodejs
BuildRequires: resolv-conf
BuildRequires: libicns-utils
BuildRequires: GraphicsMagick

Conflicts: mattermost-desktop

%description
Native desktop application for Mattermost running on Windows, Mac and Linux.

Originally created as "electron-mattermost" by Yuya Ochiai. Developed using 
Electron.

Features:

 * Pre-packaged: You don't have to install any other software.
 * Tabs for multiple teams across multiple servers
 * Desktop Notifications
   * Windows 10: Toast
   * Windows 7-8.1: Balloon (fallback behavior, so lesser support)
   * OS X: Notification Center
   * Linux: libnotify
 * Badges for unread channels and mentions
 * Installs as native application


%prep
%autosetup -n desktop-%{version}

%build
cd %{_builddir}/desktop-%{version}
npm install
# NOTE: Testing seems to be currently broken
# Test runs the build first and then checks the result
# npm run test
npm run package:linux

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{destdir}
mv release/linux-unpacked/* $RPM_BUILD_ROOT%{destdir}

mkdir -p $RPM_BUILD_ROOT%{_bindir}
ln -s %{destdir}/mattermost-desktop $RPM_BUILD_ROOT%{_bindir}/mattermost-desktop

%files
%defattr(-,root,root)
%doc %{destdir}/LICENSES.chromium.html
%doc %{destdir}/LICENSE.electron.txt
%{destdir}/*
%{_bindir}/mattermost-desktop

%changelog
* Mon Feb 27 2017 Alexander Pavel <anp120@nbcs.rutgers.edu> - 3.6.0-1
- Version bump

* Wed Dec 14 2016 Alexander Pavel <anp120@nbcs.rutgers.edu> - 3.5.0-1
- Initial build for Rutgers CentOS 7
